Delen via


Solutions Discoverability - List

Haal een lijst op met Data Manager for Agriculture-oplossingen.

GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?api-version=2023-06-01-preview
GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?farmBeatsSolutionIds={farmBeatsSolutionIds}&farmBeatsSolutionNames={farmBeatsSolutionNames}&$maxPageSize={$maxPageSize}&api-version=2023-06-01-preview

URI-parameters

Name In Vereist Type Description
api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

$maxPageSize
query

integer (int32)

minimum: 10
maximum: 1000

Maximum aantal benodigde items (inclusief). Minimum = 10, Maximum = 1000, Standaardwaarde = 50.

farmBeatsSolutionIds
query

string[]

Id's van Data Manager for Agriculture Solutions die de klant aanvraagt om op te halen.

farmBeatsSolutionNames
query

string[]

Namen van Data Manager For Agriculture Solutions die de klant aanvraagt om op te halen.

Antwoorden

Name Type Description
200 OK

DataManagerForAgricultureSolutionListResponse

Geslaagd

Other Status Codes

ErrorResponse

Fout

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

SolutionsDiscoverability_List

Voorbeeldaanvraag

GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?api-version=2023-06-01-preview

Voorbeeldrespons

{
  "value": [
    {
      "id": "/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions/bayerAgPowered.gdu",
      "type": "Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions",
      "systemData": {
        "createdAt": "2022-07-25T10:15:15Z",
        "lastModifiedAt": "2022-07-25T10:15:15Z"
      },
      "properties": {
        "partnerId": "abc",
        "partnerTenantId": "556b0c04-d33e-48d0-9f6f-f893c8c77e00",
        "dataAccessScopes": [
          "string"
        ],
        "marketplaceOfferDetails": {
          "saasOfferId": "saasOfferId",
          "publisherId": "publisherId"
        },
        "openApiSpecsDictionary": {
          "v1": {
            "paths": {
              "/v1/resources/{resourceId}": {
                "get": {
                  "tags": [
                    "Weather"
                  ],
                  "description": "Get weather ingestion job.",
                  "operationId": "Weather_GetDataIngestionJobDetails",
                  "produces": [
                    "application/json"
                  ],
                  "parameters": [
                    {
                      "in": "path",
                      "name": "resourceId",
                      "description": "Id of the job.",
                      "required": true,
                      "type": "string"
                    },
                    {
                      "in": "query",
                      "name": "api-version",
                      "description": "The requested API version",
                      "required": true,
                      "type": "string",
                      "default": "2021-07-31-preview"
                    }
                  ],
                  "responses": {
                    "200": {
                      "description": "Success",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    },
                    "default": {
                      "description": "Error",
                      "schema": {
                        "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                        "type": "object",
                        "properties": {
                          "error": {
                            "description": "An error from the Azure AgPlatform service.",
                            "type": "object",
                            "properties": {
                              "code": {
                                "description": "Server-defined set of error codes.",
                                "type": "string"
                              },
                              "message": {
                                "description": "Human-readable representation of the error.",
                                "type": "string"
                              },
                              "target": {
                                "description": "Target of the error.",
                                "type": "string"
                              },
                              "details": {
                                "description": "Array of details about specific errors that led to this reported error.",
                                "type": "array"
                              }
                            }
                          },
                          "traceId": {
                            "description": "Unique trace Id.",
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "put": {
                  "tags": [
                    "Weather"
                  ],
                  "description": "Create a weather data ingestion job.",
                  "operationId": "Weather_CreateDataIngestionJob",
                  "consumes": [
                    "application/json"
                  ],
                  "produces": [
                    "application/json"
                  ],
                  "parameters": [
                    {
                      "in": "path",
                      "name": "resourceId",
                      "description": "Job id supplied by user.",
                      "required": true,
                      "type": "string"
                    },
                    {
                      "in": "query",
                      "name": "api-version",
                      "description": "The requested API version",
                      "required": true,
                      "type": "string",
                      "default": "2021-07-31-preview"
                    },
                    {
                      "in": "body",
                      "name": "body",
                      "description": "Job parameters supplied by user.",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    }
                  ],
                  "responses": {
                    "202": {
                      "description": "Success",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    },
                    "default": {
                      "description": "Error",
                      "schema": {
                        "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                        "type": "object",
                        "properties": {
                          "error": {
                            "description": "An error from the Azure AgPlatform service.",
                            "type": "object",
                            "properties": {
                              "code": {
                                "description": "Server-defined set of error codes.",
                                "type": "string"
                              },
                              "message": {
                                "description": "Human-readable representation of the error.",
                                "type": "string"
                              },
                              "target": {
                                "description": "Target of the error.",
                                "type": "string"
                              },
                              "details": {
                                "description": "Array of details about specific errors that led to this reported error.",
                                "type": "array"
                              }
                            }
                          },
                          "traceId": {
                            "description": "Unique trace Id.",
                            "type": "string"
                          }
                        }
                      }
                    }
                  },
                  "x-ms-long-running-operation": true,
                  "x-ms-long-running-operation-options": {
                    "final-state-via": "location"
                  }
                }
              }
            },
            "basePath": "/",
            "definitions": {
              "WeatherDataIngestionJob": {
                "description": "Schema of weather ingestion job.",
                "required": [
                  "boundaryId",
                  "extensionApiInput",
                  "extensionApiName",
                  "extensionId",
                  "farmerId"
                ],
                "type": "object",
                "properties": {
                  "boundaryId": {
                    "description": "The id of the boundary object for which weather data is being fetched.",
                    "type": "string"
                  },
                  "farmerId": {
                    "description": "The id of the farmer object for which weather data is being fetched.",
                    "type": "string"
                  },
                  "extensionId": {
                    "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                    "maxLength": 100,
                    "minLength": 2,
                    "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                    "type": "string"
                  },
                  "extensionApiName": {
                    "description": "Extension api name to which request is to be made.",
                    "maxLength": 100,
                    "minLength": 2,
                    "type": "string"
                  },
                  "extensionApiInput": {
                    "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                    "type": "object",
                    "additionalProperties": {
                      "type": "object"
                    }
                  },
                  "extensionDataProviderAppId": {
                    "description": "App id of the weather data provider.",
                    "maxLength": 200,
                    "minLength": 2,
                    "type": "string"
                  },
                  "extensionDataProviderApiKey": {
                    "description": "Api key of the weather data provider.",
                    "maxLength": 200,
                    "minLength": 2,
                    "type": "string"
                  },
                  "id": {
                    "description": "Unique job id.",
                    "type": "string",
                    "readOnly": true
                  },
                  "status": {
                    "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                    "type": "string",
                    "readOnly": true
                  },
                  "durationInSeconds": {
                    "format": "double",
                    "description": "Duration of the job in seconds.",
                    "type": "number",
                    "readOnly": true
                  },
                  "message": {
                    "description": "Status message to capture more details of the job.",
                    "type": "string",
                    "readOnly": true
                  },
                  "createdDateTime": {
                    "format": "date-time",
                    "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "lastActionDateTime": {
                    "format": "date-time",
                    "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "startTime": {
                    "format": "date-time",
                    "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "endTime": {
                    "format": "date-time",
                    "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "name": {
                    "description": "Name to identify resource.",
                    "maxLength": 100,
                    "minLength": 0,
                    "type": "string"
                  },
                  "description": {
                    "description": "Textual description of the resource.",
                    "maxLength": 500,
                    "minLength": 0,
                    "type": "string"
                  },
                  "properties": {
                    "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                    "type": "object",
                    "additionalProperties": {
                      "type": "object"
                    },
                    "example": {
                      "key1": "value1",
                      "key2": 123.45
                    }
                  }
                },
                "additionalProperties": {}
              },
              "ErrorResponse": {
                "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                "type": "object",
                "properties": {
                  "error": {
                    "description": "An error from the Azure AgPlatform service.",
                    "type": "object",
                    "properties": {
                      "code": {
                        "description": "Server-defined set of error codes.",
                        "type": "string"
                      },
                      "message": {
                        "description": "Human-readable representation of the error.",
                        "type": "string"
                      },
                      "target": {
                        "description": "Target of the error.",
                        "type": "string"
                      },
                      "details": {
                        "description": "Array of details about specific errors that led to this reported error.",
                        "type": "array"
                      }
                    }
                  },
                  "traceId": {
                    "description": "Unique trace Id.",
                    "type": "string"
                  }
                }
              },
              "InnerError": {
                "description": "Inner error containing list of errors.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object\">InnerError reference document</see>.",
                "type": "object",
                "properties": {
                  "code": {
                    "description": "Specific error code than was provided by the\r\ncontaining error.",
                    "type": "string"
                  }
                },
                "additionalProperties": {
                  "type": "object"
                }
              },
              "Error": {
                "description": "An error from the Azure AgPlatform service.",
                "type": "object",
                "properties": {
                  "code": {
                    "description": "Server-defined set of error codes.",
                    "type": "string"
                  },
                  "message": {
                    "description": "Human-readable representation of the error.",
                    "type": "string"
                  },
                  "target": {
                    "description": "Target of the error.",
                    "type": "string"
                  },
                  "details": {
                    "description": "Array of details about specific errors that led to this reported error.",
                    "type": "array"
                  }
                }
              }
            },
            "externalDocs": {
              "description": "Find out more about Swagger",
              "url": "http://swagger.io"
            },
            "host": "addon.azurewebsites.net",
            "info": {
              "contact": {
                "email": "apiteam@swagger.io"
              },
              "description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
              "license": {
                "name": "Apache 2.0",
                "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
              },
              "termsOfService": "http://swagger.io/terms/",
              "title": "Swagger Petstore",
              "version": "1.0.6"
            },
            "schemes": [
              "https"
            ],
            "swagger": "2.0"
          }
        },
        "accessFBApplicationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "accessFBApplicationName": "solution provider 1",
        "saaSApplicationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "actionIds": [
          "actionId1"
        ],
        "roleId": "role1",
        "roleName": "roleName1"
      },
      "name": "bayerAgPowered.gdu"
    }
  ]
}

Definities

Name Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

DataManagerForAgricultureSolution

DataManagerForAgriculture-oplossingsresource.

DataManagerForAgricultureSolutionListResponse

Gepaginad antwoord bevat een lijst met aangevraagde objecten en een URL-koppeling om de volgende set resultaten op te halen.

DataManagerForAgricultureSolutionProperties

DataManagerForAgricultureSolution-eigenschappen.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

MarketplaceOfferDetails
systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

DataManagerForAgricultureSolution

DataManagerForAgriculture-oplossingsresource.

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

name

string

De naam van de resource

properties

DataManagerForAgricultureSolutionProperties

DataManagerForAgricultureSolution-eigenschappen.

systemData

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

type

string

Het type resource. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

DataManagerForAgricultureSolutionListResponse

Gepaginad antwoord bevat een lijst met aangevraagde objecten en een URL-koppeling om de volgende set resultaten op te halen.

Name Type Description
$skipToken

string

Token dat wordt gebruikt bij het ophalen van de volgende pagina. Als null is, zijn er geen extra pagina's.

nextLink

string

Vervolgkoppeling (absolute URI) naar de volgende pagina met resultaten in de lijst.

value

DataManagerForAgricultureSolution[]

Lijst met aangevraagde objecten.

DataManagerForAgricultureSolutionProperties

DataManagerForAgricultureSolution-eigenschappen.

Name Type Description
accessFBApplicationId

string (uuid)

Toepassings-id van de multitenant-toepassing die door de partner moet worden gebruikt voor toegang tot Data Manager For Agriculture-gegevens.

accessFBApplicationName

string

Toepassingsnaam van de multitenant-toepassing die door de partner moet worden gebruikt voor toegang tot Data Manager For Agriculture Data.

actionIds

string[]

Lijst met ActionIds die nodig zijn om de SaaS-toepassing voor meerdere tenants toegang te geven tot relevante fb-gegevens.

dataAccessScopes

string[]

Hiermee haalt u het bereik van de Data Manager For Agriculture-gegevenstoegang op die is vereist voor het verwerken van de aanvraag voor de oplossing aan de partner. Voorbeeld: Voor gdd hebben ze mogelijk weatherScope en satelliteScope nodig.

marketplaceOfferDetails

MarketplaceOfferDetails

openApiSpecsDictionary

Hiermee haalt u Swagger-documentwoordenlijst van api-versie op om alle API-versies van swagger vast te leggen die door een partner aan Data Manager for Agriculture worden weergegeven.

partnerId

string

Partner-id van oplossing.

partnerTenantId

string

Tenant-id van oplossingspartner.

roleId

string

Rol-id van de SaaS-toepassing voor meerdere tenants voor toegang tot relevante fb-gegevens.

roleName

string

Rolnaam van de SaaS-toepassing voor meerdere tenants voor toegang tot relevante fb-gegevens.

saaSApplicationId

string

Toepassings-id van de SaaS-toepassing voor meerdere tenants.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

MarketplaceOfferDetails

Name Type Description
publisherId

string

saasOfferId

string

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.